Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1271275 - GNUconfigure macro in /usr/lib/rpm/macros is completely broken?
Summary: GNUconfigure macro in /usr/lib/rpm/macros is completely broken?
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rpm
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Florian Festi
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-13 14:17 UTC by Jonathan Kamens
Modified: 2016-10-21 12:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-21 12:29:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
patch for /usr/lib/rpm/macros (1.73 KB, patch)
2015-10-13 14:17 UTC, Jonathan Kamens
no flags Details | Diff

Description Jonathan Kamens 2015-10-13 14:17:01 UTC
Created attachment 1082461 [details]
patch for /usr/lib/rpm/macros

I had to make the attached changes to the GNUconfigure macro in /usr/lib/rpm/macros to be able to use it. Either I am quite confused -- which I admit is eminently possible -- or the macro is completely broken and couldn't possibly work without these changes or similar changes.

Note: I'm using CentOS but I assume the file is the same in RHEL.

Comment 3 Panu Matilainen 2016-10-12 06:15:11 UTC
See bug 56189 - it was deemed broken and not worth fixing 15 years ago already. That it has been just left around to rot is ... oh well. Here's the upstream "fix":
https://github.com/rpm-software-management/rpm/commit/bb2cd52cf1067b9d18106f127a5034e2ad50db64

Comment 4 Florian Festi 2016-10-21 12:29:46 UTC
With the macro gone upstream and never been usable closing this is probably the better solution than fixing it. This avoid people relying on a macro that we don't won't keep around for ever.


Note You need to log in before you can comment on or make changes to this bug.